include ../../../Makefile
include ../Makefile.variables

deploy: context
	kubectl create namespace istio-io-tcp-traffic-shifting
	kubectl label namespace istio-io-tcp-traffic-shifting istio-injection=enabled
	kubectl apply -f ../istio-${ISTIO_VERSION}/samples/sleep/sleep.yaml -n istio-io-tcp-traffic-shifting
	kubectl apply -f ../istio-${ISTIO_VERSION}/samples/tcp-echo/tcp-echo-services.yaml -n istio-io-tcp-traffic-shifting
	kubectl apply -f ../istio-${ISTIO_VERSION}/samples/tcp-echo/tcp-echo-all-v1.yaml -n istio-io-tcp-traffic-shifting

test: context
	for i in {1..20}; do \
	kubectl exec $(shell kubectl get pod -l app=sleep -n istio-io-tcp-traffic-shifting -o jsonpath={.items..metadata.name}) \
	-c sleep -n istio-io-tcp-traffic-shifting -- sh -c "(date; sleep 1) | nc $(shell 	kubectl -n istio-system get service istio-ingressgateway -o jsonpath='{.status.loadBalancer.ingress[0].ip}') $(shell kubectl -n istio-system get service istio-ingressgateway -o jsonpath='{.spec.ports[?(@.name=="tcp")].port}')"; \
	done

split: context
	kubectl apply -f ../istio-${ISTIO_VERSION}/samples/tcp-echo/tcp-echo-20-v2.yaml -n istio-io-tcp-traffic-shifting
